%define	name	cdlabelgen
%define	version	0.70
%define	release	1
%define	serial	1

Summary:	cdlabelgen - generates frontcards and traycards for CDs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Utilities/Text
URL:		http://www.red-bean.com/~bwf/software/cdlabelgen
Vendor:		B. W. Fitzpatrick <fitz@red-bean.com>
Source:		%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}-rh.patch
Distribution:	Freshmeat RPMs
Requires:	perl >= 5.003
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}
BuildArch:	noarch

%description
This is BETA software! Please be gentle.

cdlabelgen was designed to simplify the process of generating labels
for CD's. It originated as a program to allow auto generation of
frontcards and traycards for CD's burned via an automated mechanism
(specifically for archiving data). Note that cdlabelgen does not
actually print anything--it just spits out postscript, which you can
then do with as you please.

%prep
%setup -q
%patch -p1

%build
pod2man --section=1 cdlabelgen > cdlabelgen.1
gzip -9 cdlabelgen.1

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/share

make prefix=$RPM_BUILD_ROOT/usr install

install -m 644 cdlabelgen.1.gz $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL Makefile README
/usr/bin/cdlabelgen
/usr/man/man1/cdlabelgen.1.gz
/usr/share/cdlabelgen

%changelog
* Tue Mar 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdlabelgen-0.70-1]
- Initial RPM Build.

